Bug 15044 - add suggestion's date on Your purchase suggestions tab in OPAC
Summary: add suggestion's date on Your purchase suggestions tab in OPAC
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: OPAC (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Aleisha Amohia
QA Contact: Testopia
URL:
Keywords:
Depends on:
Blocks: 16328
  Show dependency treegraph
 
Reported: 2015-10-21 13:35 UTC by Marjorie Barry-Vila
Modified: 2017-09-12 13:15 UTC (History)
4 users (show)

See Also:
Change sponsored?: Sponsored
Patch complexity: ---
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 15044: Add date suggestion to OPAC suggestions table (2.56 KB, patch)
2016-03-13 23:32 UTC, Aleisha Amohia
Details | Diff | Splinter Review
Bug 15044: Add date suggestion to OPAC suggestions table (2.61 KB, patch)
2016-03-14 17:57 UTC, sandboxes@biblibre.com
Details | Diff | Splinter Review
Bug 15044: Add date suggestion to OPAC suggestions table (2.68 KB, patch)
2016-03-16 11:43 UTC, Jonathan Druart
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Marjorie Barry-Vila 2015-10-21 13:35:58 UTC
Hi,

In OPAC, it would be nice to see the date on which the suggestion was sent, as it appears in intranet in column Suggested by - on and in column Managed by - on.

Regards,

Marjorie
Comment 1 Aleisha Amohia 2016-03-13 23:32:11 UTC Comment hidden (obsolete)
Comment 2 sandboxes@biblibre.com 2016-03-14 17:57:17 UTC
Patch tested with a sandbox, by Marjorie <marjorie.barry-vila@ccsr.qc.ca>
Comment 3 sandboxes@biblibre.com 2016-03-14 17:57:39 UTC Comment hidden (obsolete)
Comment 4 Jonathan Druart 2016-03-16 11:43:47 UTC
Created attachment 49216 [details] [review]
Bug 15044: Add date suggestion to OPAC suggestions table

To test:
1) Log in to OPAC, go to your purchase suggestions (opac-suggestions.pl)
2) Confirm there is now a 'Suggested on' column displaying the date of your past suggestions
3) Add a new purchase suggestion and confirm that the date displayed is correct

Sponsored-by: Catalyst IT

Signed-off-by: Marjorie <marjorie.barry-vila@ccsr.qc.ca>

Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>
Comment 5 Brendan Gallagher 2016-03-23 23:02:17 UTC
Pushed to Master - Should be in the May 2016 release.  Thanks!